Subject: Re: Doubt about Egress Label Edge Router

From: [email-masked]
Date: Tue, 22 May 2001 13:24:12 +0530

Hi Ashish ,

Pls see the comments in line:

>>LSRs along the LSP swap the label on the top of the label stack and forward
>>the packet and Egress LER pops the label and then forwards the packed. can
>>any other LSR pop out the label?

yes if penultimate hop popping is enabled then penultimate hop of an LSP pops
the label.

>> What is the Definition of Egress LER?

Pls refer section 4.1.4 of RFC 3031, which gives the definition of egress LSR.

>>If an LSR who can POP the label, is a Egress router?

In the case of penultimate hop popping, the penultimate hop pops the label, but
it is actually not an egress router but a proxy egress router.

Regards
Mohit

---

From: Eric Gray <[email-masked]>
Date: Tue, 22 May 2001 09:35:51 -0400

Mohit is correct, though the definition of 'egress' in RFC 3031
may be hard to understand.

One way to look at the term egress (in an MPLS LSP context)
is from a signaling/control aspect.  The egress for an LSP is the
device/box/system that 'decides' that an LSP is to be terminated
by popping the label.  The actual pop that takes place can happen
at the penultimate hop or it can happen at the 'egress' LSR.

If the 'egress' LSR signals the penultimate hop (using the implicit
NULL label, for instance) that PHP should be used, it remains
the LSP 'egress' because it is in control of the pop operation.  If
it subsequently withdraws the implicit NULL label, for example,
and distributes a distinct label for the same FEC then PHP will no
longer occur at its upstream peer - whether or not the LSR itself
remains the 'egress' for the LSP.

For hop-by-hop routed LSPs, if the penultimate hop detects a
change in next hop to a non-MPLS signaling peer (there is no
requirement that an MPLS signaling peer be capable of label
switching), then the penultimate hop now 'decides' that the
LSP must terminate and it becomes the egress for the LSP.  It
may elect to signal to its upstream peer(s) at this point to cause
PHP to occur WRT this LSP.

In part, section 4.1.4 explains why an LSR might 'decide' that an
LSP is to be terminated.